function [V, F, h_p, h_r] = gingerbread_HD()

  V = [
   0.12283   0.93441
   0.21753   0.84500
   0.21939   0.71553
   0.14535   0.54433
   0.15092   0.40797
   0.38801   0.35947
   0.66181   0.36110
   0.82080   0.31510
   0.89996   0.24771
   0.87368   0.18696
   0.75647   0.16851
   0.59429   0.17980
   0.41175   0.13343
   0.28789   0.02370
   0.24860  -0.10877
   0.29689  -0.27473
   0.36434  -0.46628
   0.41573  -0.76141
   0.40657  -0.90008
   0.33807  -0.97628
   0.25165  -0.89995
   0.17023  -0.72222
   0.08727  -0.51585
   0.08392  -0.05143
   0.09946   0.09235
   0.11777   0.27253
   0.08515   0.45920
   0.09403   0.62167
   0.11022   0.77792
   0.08625  -0.25653
   0.16115  -0.16690
   0.17832  -0.30346
   0.11342  -0.39130
   0.19190  -0.50868
   0.23958  -0.42128
   0.30124  -0.58884
   0.29138  -0.74645
   0.06533  -0.15560
   0.18201  -0.01096
   0.21257   0.13548
   0.26565   0.26414
   0.31733   0.16659
   0.40892   0.25708
   0.54770   0.25506
   0.66827   0.24078
   0.78185   0.25287
   0.53015   0.35784
   0.20968  -0.61583
   0.40159  -0.60769
  -0.70406   0.20933
  -0.71953   0.24926
  -0.76783   0.21224
  -0.84593   0.25176
  -0.83000   0.21575
  -0.29706   0.20913
  -0.30998   0.31473
  -0.22020   0.32803
  -0.19307   0.26841
  -0.23467   0.20403
  -0.17017   0.19535
  -0.35880   0.15252
  -0.26951   0.15158
  -0.30494   0.11176
  -0.25049   0.08244
  -0.23225   0.00958
  -0.19579   0.06245
  -0.15480   0.11692
  -0.14263   0.04111
  -0.13212  -0.03164
  -0.12117  -0.10086
  -0.10350  -0.15881
  -0.17135  -0.08527
  -0.21790  -0.06213
  -0.21375  -0.13930
  -0.22188  -0.21906
  -0.12259  -0.21833
  -0.17383  -0.24691
  -0.13504  -0.28098
  -0.14996   0.34626
  -0.12217   0.42747
  -0.11717   0.50491
  -0.13014   0.58403
  -0.14982   0.66537
  -0.16348   0.74324
  -0.16880   0.81660
  -0.06023   0.88949
  -0.11585   0.85473
  -0.05659   0.81436
  -0.10336   0.70089
  -0.05326   0.73770
  -0.04936   0.65942
  -0.08597   0.54103
  -0.04553   0.57925
   0.00000   0.97627
  -0.00000   0.85077
  -0.00000   0.69810
  -0.00000   0.53749
  -0.00000   0.36578
  -0.00000   0.18663
  -0.00000   0.02860
  -0.04380   0.49703
   0.06612   0.96124
   0.17642   0.89559
   0.22928   0.78310
   0.18849   0.62686
   0.13424   0.47336
   0.25161   0.36661
   0.59598   0.35947
   0.74580   0.34233
   0.86937   0.28987
   0.89563   0.21292
   0.81507   0.17773
   0.67538   0.17415
   0.50761   0.16729
   0.34560   0.09366
   0.25944  -0.03812
   0.26163  -0.19375
   0.33062  -0.37050
   0.41088  -0.68458
   0.41115  -0.83075
   0.38332  -0.94478
   0.28584  -0.94873
   0.21094  -0.81108
   0.13327  -0.61265
   0.04816  -0.45735
   0.23090  -0.73799
   0.33056  -0.52189
   0.29960  -0.67452
   0.35745  -0.67741
   0.35317  -0.75221
   0.27550  -0.81787
   0.34370  -0.82273
   0.32443  -0.88902
   0.24893  -0.60880
   0.20007  -0.56086
   0.15024  -0.51330
   0.23760  -0.53934
   0.21308  -0.47182
   0.27040  -0.49707
   0.30031  -0.43930
   0.26637  -0.35880
   0.22401  -0.29285
   0.20679  -0.35421
   0.18055  -0.40652
   0.15191  -0.34246
   0.15848  -0.45811
   0.10167  -0.45712
   0.05247  -0.40684
   0.05154  -0.34980
   0.04598  -0.28949
   0.09736  -0.31840
   0.04072  -0.23213
   0.03632  -0.17933
   0.07578  -0.20008
   0.03607  -0.12866
   0.07496  -0.11137
   0.03980  -0.07314
  -0.00000  -0.03917
   0.04385  -0.00918
   0.04778   0.06245
   0.09163   0.01732
  -0.00000   0.10389
   0.05174   0.14147
   0.05502   0.22867
   0.10816   0.17458
  -0.00000   0.27539
   0.05243   0.32121
   0.04616   0.41164
   0.09561   0.37307
  -0.00000   0.45345
   0.04380   0.49703
   0.04553   0.57925
   0.08597   0.54103
   0.04936   0.65942
  -0.00000   0.61883
   0.05326   0.73770
   0.10336   0.70089
   0.05659   0.81436
  -0.00000   0.77550
   0.11585   0.85473
   0.06023   0.88949
  -0.00000   0.92142
   0.16880   0.81660
   0.16348   0.74324
   0.14982   0.66537
   0.13014   0.58403
   0.11717   0.50491
   0.12217   0.42747
   0.14996   0.34626
   0.13504  -0.28098
   0.17383  -0.24691
   0.12259  -0.21833
   0.22188  -0.21906
   0.21375  -0.13930
   0.21790  -0.06212
   0.17135  -0.08527
   0.10350  -0.15881
   0.12117  -0.10086
   0.13212  -0.03164
   0.14263   0.04111
   0.15480   0.11692
   0.19579   0.06245
   0.23225   0.00958
   0.25049   0.08244
   0.30494   0.11176
   0.26951   0.15158
   0.35880   0.15252
   0.17017   0.19535
   0.23467   0.20403
   0.19307   0.26841
   0.22020   0.32803
   0.30998   0.31473
   0.29706   0.20913
   0.83000   0.21575
   0.84593   0.25176
   0.76783   0.21224
   0.71953   0.24926
   0.70406   0.20933
   0.63691   0.21102
   0.56481   0.21132
   0.61464   0.25074
   0.48776   0.20402
   0.47777   0.25528
   0.41689   0.20171
   0.35632   0.20792
   0.33890   0.26045
   0.39550   0.30965
   0.45908   0.35866
   0.53727   0.30631
   0.46812   0.30747
   0.66619   0.28356
   0.60393   0.30271
   0.79879   0.29145
   0.72899   0.29676
   0.19193  -0.65689
   0.16208  -0.57923
   0.38297  -0.53698
   0.36412  -0.60290
   0.24540  -0.67341
  -0.09561   0.37307
  -0.04616   0.41164
  -0.05243   0.32121
  -0.10816   0.17458
  -0.05502   0.22867
  -0.05174   0.14147
  -0.09163   0.01732
  -0.04778   0.06245
  -0.04385  -0.00918
  -0.03980  -0.07314
  -0.07496  -0.11137
  -0.00000  -0.15354
  -0.03607  -0.12866
  -0.07578  -0.20008
  -0.03632  -0.17933
  -0.04072  -0.23213
  -0.00000  -0.26137
  -0.09736  -0.31840
  -0.04598  -0.28949
  -0.05154  -0.34980
  -0.00000  -0.37395
  -0.05247  -0.40684
  -0.10167  -0.45712
  -0.15848  -0.45811
  -0.15191  -0.34246
  -0.18055  -0.40652
  -0.20679  -0.35421
  -0.22401  -0.29285
  -0.26637  -0.35880
  -0.30031  -0.43930
  -0.27040  -0.49707
  -0.21308  -0.47182
  -0.23760  -0.53934
  -0.15024  -0.51330
  -0.20007  -0.56086
  -0.24893  -0.60880
  -0.32443  -0.88902
  -0.34370  -0.82273
  -0.27550  -0.81787
  -0.35317  -0.75221
  -0.35745  -0.67741
  -0.29960  -0.67452
  -0.33056  -0.52189
  -0.23090  -0.73799
  -0.04816  -0.45735
  -0.13327  -0.61265
  -0.21094  -0.81108
  -0.28584  -0.94873
  -0.38332  -0.94478
  -0.41115  -0.83075
  -0.41088  -0.68458
  -0.33062  -0.37050
  -0.26163  -0.19375
  -0.25944  -0.03812
  -0.34560   0.09366
  -0.50761   0.16729
  -0.67538   0.17415
  -0.81507   0.17773
  -0.89563   0.21292
  -0.86937   0.28987
  -0.74580   0.34233
  -0.59598   0.35947
  -0.25161   0.36661
  -0.13424   0.47336
  -0.18849   0.62686
  -0.22928   0.78310
  -0.17642   0.89559
  -0.06612   0.96124
  -0.00000  -0.31895
  -0.00000  -0.20625
  -0.00000  -0.09933
   0.00000  -0.41160
  -0.40159  -0.60769
  -0.20968  -0.61583
  -0.53015   0.35784
  -0.78185   0.25287
  -0.66827   0.24078
  -0.54770   0.25506
  -0.40892   0.25708
  -0.31733   0.16659
  -0.26565   0.26414
  -0.21257   0.13548
  -0.18201  -0.01096
  -0.06533  -0.15560
  -0.29138  -0.74645
  -0.30124  -0.58884
  -0.23958  -0.42128
  -0.19190  -0.50868
  -0.11342  -0.39130
  -0.17832  -0.30346
  -0.16115  -0.16690
  -0.08625  -0.25653
  -0.11022   0.77792
  -0.09403   0.62167
  -0.08515   0.45920
  -0.11777   0.27253
  -0.09946   0.09235
  -0.08392  -0.05143
  -0.08727  -0.51585
  -0.17023  -0.72222
  -0.25165  -0.89995
  -0.33807  -0.97628
  -0.40657  -0.90008
  -0.41573  -0.76142
  -0.36434  -0.46628
  -0.29689  -0.27473
  -0.24860  -0.10877
  -0.28789   0.02370
  -0.41175   0.13343
  -0.59429   0.17980
  -0.75647   0.16851
  -0.87368   0.18696
  -0.89996   0.24771
  -0.82080   0.31510
  -0.66181   0.36110
  -0.38801   0.35947
  -0.15092   0.40797
  -0.14535   0.54433
  -0.21939   0.71553
  -0.21753   0.84500
  -0.12283   0.93441
  -0.63691   0.21102
  -0.56481   0.21132
  -0.61464   0.25074
  -0.48776   0.20402
  -0.47778   0.25528
  -0.41689   0.20171
  -0.35632   0.20792
  -0.33890   0.26045
  -0.39550   0.30965
  -0.45908   0.35866
  -0.53727   0.30631
  -0.46812   0.30747
  -0.66619   0.28356
  -0.60393   0.30271
  -0.79879   0.29145
  -0.72899   0.29676
  -0.19193  -0.65689
  -0.16208  -0.57923
  -0.38297  -0.53698
  -0.36412  -0.60290
  -0.24540  -0.67341
];

  F = [
      21   123   131
      37   239   128
      34   135   136
      18   129   119
      18   130   129
      19   132   120
      37   132   131
      20   122   121
      36   134   137
      34   138   137
      36   139   127
      17   140   118
      32   142   143
      35   144   143
      35   138   144
      34   136   146
     311   148   125
      33   148   149
     308   150   149
      30   150   152
     309   153   152
      38   153   155
      24   156   157
      24   157   159
     100   160   159
     100   162   160
      99   164   163
      26   164   167
      98   168   167
      27   168   171
      97   172   171
      28   172   174
      96   176   174
      95   178   179
      29   178   180
       1   181   102
       1   103   180
       3   184   104
      29   184   177
       3   105   185
      28   186   173
       4   106   187
      27   188   169
      33   151   145
      31   191   192
      32   191   142
      16   193   117
      39   195   196
      30   154   192
      24   198   156
      31   198   196
      24   161   199
      25   201   200
      15   195   116
      39   202   203
      42   205   206
      14   205   115
      25   165   201
      41   209   210
      26   189   210
       6   212   107
      40   209   206
       9   111   215
      11   216   112
      46   216   217
      11   113   218
      12   220   219
      13   222   114
      43   223   224
      13   207   224
      41   226   213
      41   212   226
      47   229   230
      43   227   230
       7   231   232
       7   232   108
       9   215   110
       8   233   109
      46   217   234
      48   235   236
      49   238   237
      48   239   235
     255   253   254
      72   322    69
      77    78   329
     259   260   261
     258   257   331
     259   257   258
      69    68   246
     255   256   258
      70    71   330
      77    75   330
      72   330    74
     284   262   261
      82    81   357
     292   346    74
      73    74   346
      76    78    77
     378   338   285
     257    78   331
     318   366   365
     307    94   182
     350   297    52
      67    66   321
     248   158   249
     247   246   336
     337    69   246
     337   250    70
     329   267    77
     242   166   244
     358    83   304
     101    97   170
      95   179    88
      91    89    90
     335   242   244
     323   252   254
      86   182    95
     286   283   339
     278   324   283
     281   325   275
     179    96    90
     273   378   274
      91    96   175
     290   380   280
     101   334    92
      81   334    80
     305   359    85
      83   333    82
     273   262   338
     293   347    65
      87    85   306
     249   158   310
      89   333    83
     248   246   247
     245   336   243
     271   263   327
      65   347    64
      58   320    57
     266   326   268
     244   243   335
      67   321    60
     242   335   240
     277   279   324
     294    61    63
     272   274   275
     272   270   271
     295   362   364
     270   269   326
     269   268   326
     291   268   269
      62    55    59
     267   268   345
      79    57   356
      58   335    60
      61   367   319
      53   315    54
     278   276   277
     277   276   342
     275   274   313
     288   276   287
     366   364   365
     368   367   318
     368   369    56
     366   318   367
      70    69   337
     379   282   380
     252   251   254
      72    74    73
     379   344   282
     261   260   311
     254   251   309
     378   285   377
     252   310   251
      50   361   296
     342   289   277
     287   276   340
     365   364   317
     374   317   363
     278   340   276
     295   349   362
     374   371   317
     288   342   276
      51    50    52
     374   363   373
     366   367    61
     361   363   362
     343   290   280
      51   316    50
     289   343   279
     340   278   286
     366   348   364
      52    50   350
     324   281   381
      59    55   320
     289   279   277
     325   272   275
      53    54   298
     298    54   351
     341   288   287
     302   356    57
      56    57   320
     325   282   270
      62   319    55
     297   351    54
     327   273   274
     291   345   268
     297    54    52
     299   375    53
     282   344   269
      52    54   315
     343   280   279
     362   363   317
     282   269   270
      53   375   315
      50   316   361
     272   325   270
     324   278   277
     296   361   349
     364   362   317
     301   314   371
     271   270   326
     272   327   274
     301   371   374
     361   316   363
      67    60   243
     344   291   269
     302    57    56
      58    60    59
     373   363   316
     280   325   281
     280   281   279
     308   259   258
      59    60   321
     294   348    61
     327   272   271
     242   240   241
     241   170    98
     357    81   303
      62   321    64
      58    57    79
     299   353   375
     266   268   267
     266   264   265
     329   266   267
      63    61   319
     243    60   335
     326   266   265
     265   264   328
     293    65    73
     375   376   315
     266   329   264
      62    64    63
     326   265   271
      65    64    66
     245   243   244
     322    72    73
      66    64   321
     248   337   246
     327   263   273
      63    64   347
      83    82   304
     319    62    63
      73    65   322
      68    66    67
     335    58    79
     304    82   357
     265   328   263
     311   284   261
      89    83    84
      84    83   358
     300   376   375
     265   263   271
     305    85    84
     354   374   373
     261   262   328
     303    80   356
     328   259   261
      84    85   332
      87   332    85
     314   372   371
      92   334    81
     279   281   324
     360   307    86
     241   240   334
     290   312   380
     372   314   370
     101    92    93
     280   380   325
     334   101   241
      93   175    97
     273   338   378
     372   370   369
      90    89   332
     274   378   313
     337   248   249
      88    90   332
      87    86    88
     369   370   355
     281   275   381
     381   275   313
     372   318   365
      88    86    95
     331   255   258
     372   365   371
     371   365   317
     337   249   250
     309   255   254
     278   283   286
      87   360    86
     100   248   247
     100   247   162
     179    90    88
      99   245   244
      91   333    89
     333    91    93
      97   101    93
      98   242   241
      91   175    93
      96    91    90
      93    92   333
     358   305    84
     360    87   306
     332    87    88
     101   170   241
     332    89    84
     242    98   166
     328   264   257
     334   240    80
     333    92    82
     244   166    99
     330    76    77
     247   336   245
     345   292    75
     331    76   253
     247   245   162
     162   245    99
     330    72    70
     248   100   158
     322    65    66
     346   293    73
     336    68    67
      68   322    66
     347   294    63
     336    67   243
     321    62    59
     355   302    56
     320    58    59
      69   322    68
     352    53   298
     306    85   359
     349   361   362
     350    50   296
     315    51    52
     307   182    86
     348   295   364
     264    78   257
     320   368    56
     320    55   368
     348   366    61
     240   335    79
     380   282   325
     249   252   250
     249   310   252
     315   376    51
     240    79    80
      76   331    78
     352   299    53
      80    79   356
      81    80   303
     318   372   369
      92    81    82
     263   328   262
     354   301   374
     292    74    75
      75    74   330
     300   354   376
     263   262   273
     267   345    75
     381   283   324
     284   338   262
     267    75    77
     353   300   375
     250    71    70
      55   319   367
     312   379   380
     264   329    78
     255   309   256
     376   354   373
     259   328   257
     258   256   308
     313   377   381
     254   253   323
     246    68   336
     376   373    51
     259   308   260
      72    69    70
     377   283   381
      76    71   253
     253    71   323
      51   373   316
     368   318   369
      56   369   355
     313   378   377
     250   252   323
      55   367   368
     377   339   283
      76   330    71
     255   331   253
     377   285   339
     250   323    71
     235   126    22
     235   239   126
     239    37   126
     237   127    17
     237   238   127
     238    36   127
     236   124    23
     236   235   124
     235    22   124
     234   231     7
     234   217   231
     217    45   231
     109   234     7
     109   233   234
     233    46   234
     110   233     8
     110   215   233
     215    46   233
     108   229    47
     108   232   229
     232    44   229
     232   221    44
     232   231   221
     231    45   221
     230   228    47
     230   227   228
     227     6   228
     230   223    43
     230   229   223
     229    44   223
     226   227    43
     226   212   227
     212     6   227
     213   225    42
     213   226   225
     226    43   225
     224   225    43
     224   207   225
     207    42   225
     224   222    13
     224   223   222
     223    44   222
     114   220    12
     114   222   220
     222    44   220
     219   221    45
     219   220   221
     220    44   221
     218   219    45
     218   113   219
     113    12   219
     217   218    45
     217   216   218
     216    11   218
     112   214    10
     112   216   214
     216    46   214
     215   214    46
     215   111   214
     111    10   214
     206   213    42
     206   209   213
     209    41   213
     107   211     5
     107   212   211
     212    41   211
     210   211    41
     210   189   211
     189     5   211
     210   208    26
     210   209   208
     209    40   208
     201   208    40
     201   165   208
     165    26   208
     115   207    13
     115   205   207
     205    42   207
     206   204    40
     206   205   204
     205    14   204
     203   204    14
     203   202   204
     202    40   204
     116   203    14
     116   195   203
     195    39   203
     200   202    39
     200   201   202
     201    40   202
     199   200    39
     199   161   200
     161    25   200
     196   199    39
     196   198   199
     198    24   199
     156   197    38
     156   198   197
     198    31   197
     192   197    31
     192   154   197
     154    38   197
     196   194    31
     196   195   194
     195    15   194
     117   194    15
     117   193   194
     193    31   194
     142   193    16
     142   191   193
     191    31   193
     192   190    30
     192   191   190
     191    32   190
     145   190    32
     145   151   190
     151    30   190
     169   189    26
     169   188   189
     188     5   189
     187   188    27
     187   106   188
     106     5   188
     173   187    27
     173   186   187
     186     4   187
     185   186    28
     185   105   186
     105     4   186
     177   185    28
     177   184   185
     184     3   185
     104   183     2
     104   184   183
     184    29   183
     180   183    29
     180   103   183
     103     2   183
     102   182    94
     102   181   182
     181    95   182
     180   181     1
     180   178   181
     178    95   181
     179   176    96
     179   178   176
     178    29   176
     174   177    28
     174   176   177
     176    29   177
     174   175    96
     174   172   175
     172    97   175
     171   173    27
     171   172   173
     172    28   173
     171   170    97
     171   168   170
     168    98   170
     167   169    26
     167   168   169
     168    27   169
     167   166    98
     167   164   166
     164    99   166
     163   165    25
     163   164   165
     164    26   165
     160   163    25
     160   162   163
     162    99   163
     159   161    24
     159   160   161
     160    25   161
     159   158   100
     159   157   158
     157   310   158
     157   155   310
     157   156   155
     156    38   155
     155   251   310
     155   153   251
     153   309   251
     152   154    30
     152   153   154
     153    38   154
     152   256   309
     152   150   256
     150   308   256
     149   151    33
     149   150   151
     150    30   151
     149   260   308
     149   148   260
     148   311   260
     125   147    23
     125   148   147
     148    33   147
     146   147    33
     146   136   147
     136    23   147
     144   146    33
     144   138   146
     138    34   146
     143   145    32
     143   144   145
     144    33   145
     143   141    35
     143   142   141
     142    16   141
     118   141    16
     118   140   141
     140    35   141
     127   140    17
     127   139   140
     139    35   140
     137   139    36
     137   138   139
     138    35   139
     137   135    34
     137   134   135
     134    48   135
     121   133    19
     121   122   133
     122    21   133
     131   133    21
     131   132   133
     132    19   133
     120   130    18
     120   132   130
     132    37   130
     129   128    36
     129   130   128
     130    37   128
     119   238    49
     119   129   238
     129    36   238
     136   236    23
     136   135   236
     135    48   236
     128   134    36
     128   239   134
     239    48   134
     131   126    37
     131   123   126
     123    22   126
  ];

  h_p= [95, 15, 346];
  h_r= {[9, 111, 214, 46, 233, 110, 215], [20, 121, 122], [341, 287, 288], [352, 299, 375, 315, 54, 298, 53]};

end
